<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>
<!--<div class="app-page-title">
    <div class="page-title-wrapper">
        <div class="page-title-heading">
            <div class="page-title-icon">
                <i class="icon {{icon}}"></i>
            </div>
            <div>
                {{heading}}
                <div class="page-title-subheading">
                    {{subheading}}
                </div>
            </div>
        </div>
        <div class="page-title-actions">
            <button type="button"
                    class="btn-shadow d-inline-flex align-items-center btn btn-success"
                    (click)="newRecord()">
                <fa class="mr-2" name="plus"></fa>
                Nuevo
            </button>
        </div>
    </div>
</div>-->

<div class="main-card mb-3 card">
  <div class="card-body">

    <div *ngIf="!loading">

      <kendo-grid [data]="dataGrid" [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true"
                  [scrollable]="'virtual'" [filter]="filter" [filterable]="false"
                  (filterChange)="filterChange($event)"
                  [sort]="sort"
                  [sortable]="true" [rowHeight]="40" (sortChange)="sortChange($event)"
                  [groupable]="{ showFooter: true }"
                  [group]="groups" (groupChange)="groupChange($event)" (dataStateChange)="dataStateChange($event)"
                  style="height: 87vh">
        <ng-template kendoGridToolbarTemplate>
          <div class="row">
            <div class="col d-flex justify-content-end">
              <button type="button" (click)="getReporte()" class="btn btn-light"
                      [disabled]="!formSearch.valid || loading">
                <i class="fas mr-2 text-primary"
                   [ngClass]="{'fa-spinner fa-spin': loading, 'fa-search': !loading }"></i>Buscar
              </button>
              <button type="button" (click)="exportPDF()" class="btn btn-light ml-1"
                      [disabled]="!dataGrid.data">
                <i class="fa fa-file-pdf mr-2 text-danger"></i>PDF
              </button>
              <button type="button" (click)="exportExcel()" class="btn btn-light ml-1"
                      [disabled]="!dataGrid.data">
                <i class="fa fa-file-excel mr-2 text-success"></i>Excel
              </button>
              <!-- <button type="button" (click)="viewDetail()" class="btn btn-light ml-1" [disabled]="!dataGrid.data">
                    <i class="fa fa-external-link mr-2"></i>Detalle
                  </button> -->
              <!-- <button type="button" (click)="generateChart()" class="btn btn-light ml-1" [disabled]="!dataGrid.data" *ngIf="!flagChart" >
                    <i class="fa fa-dashboard mr-2"></i>Gráfica
                  </button>
                  <button type="button" (click)="flagChart = false" class="btn btn-light ml-1" [disabled]="!dataGrid.data" *ngIf="flagChart">
                      <i class="fa fa-table mr-2"></i>Grid
                  </button> -->
            </div>
          </div>
          <form [formGroup]="formSearch">
            <div class="row animated fadeIn d-flex justify-content-center">
              <div class="">
                <kendo-daterange>
                  <div class="row">
                    <div class="col-6">
                      <label class="w-100 mt-1">Fecha Desde</label>
                      <kendo-dateinput kendoDateRangeStartInput formControlName="fechaIni"
                                       [(value)]="formSearch.value.fechaIni" class="">
                      </kendo-dateinput>
                    </div>
                    <div class="col-6">
                      <label class="mt-1 w-100">Fecha Hasta</label>
                      <kendo-dateinput kendoDateRangeEndInput formControlName="fechaFin"
                                       [(value)]="formSearch.value.fechaFin" class="">
                      </kendo-dateinput>
                    </div>
                  </div>
                </kendo-daterange>
              </div>
            </div>
          </form>
          <div class="animated fadeIn d-flex justify-content-center" *ngIf="flagChart">
            <app-chart-propinas [dataGrid]="dataGrid"></app-chart-propinas>
          </div>
        </ng-template>
        <ng-container *ngIf="!flagChart">
          <kendo-grid-column field="tclase" title="Clase" [filterable]="true" width="90"></kendo-grid-column>
          <kendo-grid-column field="tmese" title="Mesero" [filterable]="false" width="90"></kendo-grid-column>
          <kendo-grid-column field="tdmese" title="Nombre" [filterable]="true" width="200"></kendo-grid-column>
          <kendo-grid-column field="talim" title="Alimentos" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.talim | kendoNumber:'##.00' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tbebu" title="Bebidas" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tbebu | kendoNumber:'##.00' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tvari" title="Varios" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tvari | kendoNumber:'##.00' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tprop" title="Servicio" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tprop | kendoNumber:'##.00' }}</ng-template>
          </kendo-grid-column>
        </ng-container>
      </kendo-grid>

    </div>
<app-loading *ngIf="loading"></app-loading>

    <kendo-window title="Detalle Reporte de Meseros" class="animated fadeIn" *ngIf="flagViewDetail"
                  (close)="close()">
      <kendo-grid [data]="dsResumen" [selectable]="true" [navigable]="true" [reorderable]="true"
                  [resizable]="true">
        <kendo-grid-column field="tclase" title="Clase" [filterable]="true" width="100"></kendo-grid-column>
        <kendo-grid-column field="tmese" title="Mesero" [filterable]="false" width="110"></kendo-grid-column>
        <kendo-grid-column field="tdmese" title="Nombre" [filterable]="true" width="200"></kendo-grid-column>
        <kendo-grid-column field="talim" title="Alimentos" [filterable]="true" width="110" class="text-right">
          <ng-template kendoGridCellTemplate
                       let-dataItem>{{ dataItem.talim | kendoNumber:'##.00' }}</ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tbebu" title="Bebidas" [filterable]="true" width="110" class="text-right">
          <ng-template kendoGridCellTemplate
                       let-dataItem>{{ dataItem.tbebu | kendoNumber:'##.00' }}</ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tvari" title="Varios" [filterable]="true" width="110" class="text-right">
          <ng-template kendoGridCellTemplate
                       let-dataItem>{{ dataItem.tvari | kendoNumber:'##.00' }}</ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tprop" title="Servicio" [filterable]="true" width="110" class="text-right">
          <ng-template kendoGridCellTemplate
                       let-dataItem>{{ dataItem.tprop | kendoNumber:'##.00' }}</ng-template>
        </kendo-grid-column>
      </kendo-grid>
      <div class="row d-flex justify-content-center mt-4">
        <button type="button" class="btn btn-primary px-4 py-3" (click)="close()">Cerrar</button>
      </div>
    </kendo-window>
    <table id="tbl1" border="2" style="display: none;">
      <thead>
      <tr>
        <th>Mesero</th>
        <th>Nombre</th>
        <th>Clase</th>
        <th>Alimentos</th>
        <th>Bebidas</th>
        <th>Varios</th>
        <th>Servicio</th>
        <th>Total</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let item of dataGrid.data">
        <td>{{ item.tmese }}</td>
        <td>{{ item.tdmese }}</td>
        <td>{{ item.tclase }}</td>
        <td>{{ item.talim | number:'1.2-2' }}</td>
        <td>{{ item.tbebu | number:'1.2-2' }}</td>
        <td>{{ item.tvari | number:'1.2-2' }}</td>
        <td>{{ item.tprop | number:'1.2-2' }}</td>
        <td>{{ item.tmont | number:'1.2-2' }}</td>
      </tr>
      <tr>
        <td></td>
      </tr>
      <tr *ngFor="let item of dsCodigos" style="margin-top: 10px;">
        <td></td>
        <td>{{ item.tdclase }}</td>
        <td>{{ item.tclase }}</td>
        <td>{{ item.talim | number:'1.2-2' }}</td>
        <td>{{ item.tbebi | number:'1.2-2' }}</td>
        <td>{{ item.tvari | number:'1.2-2' }}</td>
        <td>{{ item.tprop | number:'1.2-2' }}</td>
        <td>{{ item.tmont | number:'1.2-2' }}</td>
      </tr>
      </tbody>
    </table>

  </div>
</div>
